package com.radiola.domain.usecase

import com.radiola.domain.model.Track
import com.radiola.domain.repository.NowPlayingRepository
import kotlinx.coroutines.flow.Flow
import javax.inject.Inject

class GetNowPlayingUseCase @Inject constructor(
    private val nowPlayingRepository: NowPlayingRepository
) {
    operator fun invoke(stationId: Int): Flow<Track?> {
        return nowPlayingRepository.getNowPlaying(stationId)
    }
}
